using System;

class Program {
  public static void Main (string[] args) {
    int X = int.Parse(Console.ReadLine());
    int Y = int.Parse(Console.ReadLine());
    string broj = "";
    for (int i = 0; i <= 9; i++) {
      broj = Math.Max(X%10,Y%10).ToString() + broj;
      if (X%10 == Y%10 && X != 0 && Y != 0) {broj = (X%10).ToString() + broj;}
      X = (X - X%10) / 10;
      Y = (Y - Y%10) / 10;
    }
    int a = int.Parse(broj);
    Console.WriteLine(a);
  }
}